
#ifndef ITAT_CHALLANGE_OLYMPICS_OLYMPICSAPI_H
#define ITAT_CHALLANGE_OLYMPICS_OLYMPICSAPI_H


#define API_LINK "https://sph-s-api.olympics.com/summer/schedules/api/ENG/schedule/discipline/"

#include <string>
#include <QJsonObject>

// TODO: change this to true to use the olympics api, instead of the mock date in res/mock/
#define USE_API_REQUEST false

using namespace std;

class OlympicsAPI {

public:

    enum Disciplines {
        AquaticsArtisticSwimming,
        AquaticsDiving,
        AquaticsMarathonSwimming,
        AquaticsSwimming,
        AquaticsWaterPolo,
        Archery,
        Athletics,
        Badminton,
        Basketball3v3,
        Basketball,
        Boxing,
        Breaking,
        CanoeingSprint,
        CanoeingSlalom,
        CyclingBMXFreestyle,
        CyclingBMXRacing,
        CyclingMaountainBike,
        CyclingRoad,
        CyclingTrack,
        EquestrianDressage,
        EquestrianEventing,
        EquestrianJumping,
        Fencing,
        FieldHockey,
        Football,
        Golf,
        GymnasticsArtistic,
        GymnasticsRhythmic,
        GymnasticsTrampoline,
        HandballIndoor,
        Judo,
        ModernPentathlon,
        Rowing,
        Rugby7,
        Sailing,
        Shooting,
        Skateboarding,
        SportClimbing,
        Surfing,
        TableTennis,
        Taekwondo,
        Tennis,
        Triathlon,
        VolleyballBeach,
        VolleyballIndoor,
        Weightlifting,
        WrestlingFreestyle,
        WrestlingGrecoRoman
    };

    QJsonObject getSportData(Disciplines sport);
    string getDisciplineShort(Disciplines sport);

};


#endif //ITAT_CHALLANGE_OLYMPICS_OLYMPICSAPI_H
